import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { OpenapiViewerService } from '../services/openapi-viewer.service';
import { OperationsItem, PathItem, TagIndex } from '../models/openapi-viewer.model';
export declare class OperationViewComponent implements OnInit, OnDestroy {
    private route;
    private openApiService;
    private sub;
    pathItem: PathItem;
    operationItem: OperationsItem;
    tag: any;
    error: 'noTagFound' | 'noOperationFound';
    constructor(route: ActivatedRoute, openApiService: OpenapiViewerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadData(index: TagIndex[], tag: string, opId: string): void;
}
