import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { OpenapiViewerService } from '../services/openapi-viewer.service';
import { TagIndex } from '../models/openapi-viewer.model';
import { OpenAPIObject } from 'openapi3-ts';
import { OpenapiAuthService } from '../services/openapi-auth.service';
export declare class OverviewViewComponent implements OnInit, OnDestroy {
    private openApiService;
    private authService;
    private cd;
    index: TagIndex[];
    spec: OpenAPIObject;
    private sub;
    constructor(openApiService: OpenapiViewerService, authService: OpenapiAuthService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
