import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ParameterObject, RequestBodyObject } from 'openapi3-ts';
import { FormGroup } from '@angular/forms';
export declare class RequestBodyInputComponent implements OnInit, OnDestroy, OnChanges {
    requestBody: RequestBodyObject;
    addToFormGroup: FormGroup;
    formGroup: FormGroup;
    contentParameters: Record<string, Partial<ParameterObject>[]>;
    contentTypes: string[];
    currentContentType: string;
    currentParameters: Partial<ParameterObject>[];
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private identifyParameters;
    private contentToParameter;
}
