import { OnChanges, SimpleChanges } from '@angular/core';
import { ResponsesObject, SchemaObject } from 'openapi3-ts';
interface ResponseContentItem {
    name?: string;
    summary?: string;
    description?: string;
    value?: string;
    externalValueUrl?: string;
    schema?: SchemaObject;
}
interface ResponseHeaderExample {
    name: string;
    description?: string;
    deprecated?: boolean;
    value: string;
}
interface ResponseCodeItem {
    statusCode: string;
    description: string;
    headers?: ResponseHeaderExample[];
    contents?: ResponseContentItem[];
}
export declare class ResponsesComponent implements OnChanges {
    responses: ResponsesObject;
    responseType: string;
    items: ResponseCodeItem[];
    mode: string;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
}
export {};
